#if AVRGCC_VERSION == 330

#include <avr/io.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>

#else

#include <io.h>
#include <pgmspace.h>
#include <eeprom.h>

#endif

#include "delay.h"

//#define SET_CLK		sbi(PORTD,6)
//#define CLEAR_CLK	cbi(PORTD,6)
#define SET_CLK		{ sbi(PORTB,1);}
#define CLEAR_CLK	{ cbi(PORTB,1);}
#define INPUT		cbi(DDRB,2)
#define OUTPUT		sbi(DDRB,2)
#define SET_DQ		sbi(PORTB,2)
#define CLEAR_DQ	cbi(PORTB,2)

//DS1620-1
#define SET_RST		{ sbi(PORTB,0);}
#define CLEAR_RST	{ cbi(PORTB,0);}
//DS1620-2
#define SET_RST2     { sbi(PORTD,7);}
#define CLEAR_RST2   { cbi(PORTD,7);}


unsigned int GetTemp(int ds1620_nr);
void StartTemp(int ds1620_nr);
unsigned int Read1620byte(void);


//	z.Zt. deaktiviert, ist nicht f. mehere DS1620 angepasst
//void StopTemp1(void);

char Get1620byte(void);
void Put1620byte(char m);                 // soll Put1620Byte1 und 2 ersetzen

void Write1620byte(char m);

char ReadConfig1(void);
char ReadConfig2(void);

void WriteConfig1(void);
void WriteConfig2(void);

void DS1620ini(void);
